[package]
name = "ruin_app"
version = "0.1.0"
edition = "2024"

[dependencies]
ruin_reactivity = { path = "../reactivity" }
ruin_runtime = { package = "ruin-runtime", path = "../runtime" }
ruin_app_proc_macros = { package = "ruin-app-proc-macros", path = "../ruin_app_proc_macros" }
ruin_ui = { path = "../ui" }
ruin_ui_platform_wayland = { path = "../ui_platform_wayland" }

[[example]]
name = "00_bootstrap_and_counter_raw"
path = "example/00_bootstrap_and_counter_raw.rs"

[[example]]
name = "00_bootstrap_and_counter"
path = "example/00_bootstrap_and_counter.rs"

[[example]]
name = "01_async_data_and_effects"
path = "example/01_async_data_and_effects.rs"

[[example]]
name = "02_widget_refs_and_commands"
path = "example/02_widget_refs_and_commands.rs"

[[example]]
name = "03_fine_grained_list"
path = "example/03_fine_grained_list.rs"

[[example]]
name = "04_composition_and_context"
path = "example/04_composition_and_context.rs"

[[example]]
name = "05_async_runtime_io"
path = "example/05_async_runtime_io.rs"

[[example]]
name = "07_children_and_slots"
path = "example/07_children_and_slots.rs"
